<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\netcoreapp2.1\Bailun.DC.WebApi.xml</DocumentationFile>
    <OutputPath>bin\Debug\netcoreapp2.1\</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\Files\**" />
    <Content Remove="wwwroot\Files\**" />
    <EmbeddedResource Remove="wwwroot\Files\**" />
    <None Remove="wwwroot\Files\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.App" />
	<PackageReference Include="Bailun.ServiceFabric.Authorize" Version="1.0.3" />
	<PackageReference Include="Bailun.ServiceFabric.Core" Version="1.1.0" />
	<PackageReference Include="NPOI" Version="2.4.1" />
	<PackageReference Include="Swashbuckle.AspNetCore" Version="6.0.0" />
	<PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Bailun.DC.Services\Bailun.DC.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Bailun.DC.WebApi.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Dockerfile">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\" />
  </ItemGroup>

</Project>
